* .version: bumped version number to 2.4.8
[fw/sdcc] / device / lib / pic16 / configure
1 #! /bin/sh
2 # Guess values for system-dependent variables and create Makefiles.
3 # Generated by GNU Autoconf 2.57.
4 #
5 # Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001, 2002
6 # Free Software Foundation, Inc.
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9 ## --------------------- ##
10 ## M4sh Initialization.  ##
11 ## --------------------- ##
12
13 # Be Bourne compatible
14 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
15   emulate sh
16   NULLCMD=:
17   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
18   # is contrary to our usage.  Disable this feature.
19   alias -g '${1+"$@"}'='"$@"'
20 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
21   set -o posix
22 fi
23
24 # Support unset when possible.
25 if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
26   as_unset=unset
27 else
28   as_unset=false
29 fi
30
31
32 # Work around bugs in pre-3.0 UWIN ksh.
33 $as_unset ENV MAIL MAILPATH
34 PS1='$ '
35 PS2='> '
36 PS4='+ '
37
38 # NLS nuisances.
39 for as_var in \
40   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
41   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
42   LC_TELEPHONE LC_TIME
43 do
44   if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`"); then
45     eval $as_var=C; export $as_var
46   else
47     $as_unset $as_var
48   fi
49 done
50
51 # Required to use basename.
52 if expr a : '\(a\)' >/dev/null 2>&1; then
53   as_expr=expr
54 else
55   as_expr=false
56 fi
57
58 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
59   as_basename=basename
60 else
61   as_basename=false
62 fi
63
64
65 # Name of the executable.
66 as_me=`$as_basename "$0" ||
67 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
68          X"$0" : 'X\(//\)$' \| \
69          X"$0" : 'X\(/\)$' \| \
70          .     : '\(.\)' 2>/dev/null ||
71 echo X/"$0" |
72     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
73           /^X\/\(\/\/\)$/{ s//\1/; q; }
74           /^X\/\(\/\).*/{ s//\1/; q; }
75           s/.*/./; q'`
76
77
78 # PATH needs CR, and LINENO needs CR and PATH.
79 # Avoid depending upon Character Ranges.
80 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
81 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
82 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
83 as_cr_digits='0123456789'
84 as_cr_alnum=$as_cr_Letters$as_cr_digits
85
86 # The user is always right.
87 if test "${PATH_SEPARATOR+set}" != set; then
88   echo "#! /bin/sh" >conf$$.sh
89   echo  "exit 0"   >>conf$$.sh
90   chmod +x conf$$.sh
91   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
92     PATH_SEPARATOR=';'
93   else
94     PATH_SEPARATOR=:
95   fi
96   rm -f conf$$.sh
97 fi
98
99
100   as_lineno_1=$LINENO
101   as_lineno_2=$LINENO
102   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
103   test "x$as_lineno_1" != "x$as_lineno_2" &&
104   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
105   # Find who we are.  Look in the path if we contain no path at all
106   # relative or not.
107   case $0 in
108     *[\\/]* ) as_myself=$0 ;;
109     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
110 for as_dir in $PATH
111 do
112   IFS=$as_save_IFS
113   test -z "$as_dir" && as_dir=.
114   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
115 done
116
117        ;;
118   esac
119   # We did not find ourselves, most probably we were run as `sh COMMAND'
120   # in which case we are not to be found in the path.
121   if test "x$as_myself" = x; then
122     as_myself=$0
123   fi
124   if test ! -f "$as_myself"; then
125     { echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2
126    { (exit 1); exit 1; }; }
127   fi
128   case $CONFIG_SHELL in
129   '')
130     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
131 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
132 do
133   IFS=$as_save_IFS
134   test -z "$as_dir" && as_dir=.
135   for as_base in sh bash ksh sh5; do
136          case $as_dir in
137          /*)
138            if ("$as_dir/$as_base" -c '
139   as_lineno_1=$LINENO
140   as_lineno_2=$LINENO
141   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
142   test "x$as_lineno_1" != "x$as_lineno_2" &&
143   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
144              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
145              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
146              CONFIG_SHELL=$as_dir/$as_base
147              export CONFIG_SHELL
148              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
149            fi;;
150          esac
151        done
152 done
153 ;;
154   esac
155
156   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
157   # uniformly replaced by the line number.  The first 'sed' inserts a
158   # line-number line before each line; the second 'sed' does the real
159   # work.  The second script uses 'N' to pair each line-number line
160   # with the numbered line, and appends trailing '-' during
161   # substitution so that $LINENO is not a special case at line end.
162   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
163   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
164   sed '=' <$as_myself |
165     sed '
166       N
167       s,$,-,
168       : loop
169       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
170       t loop
171       s,-$,,
172       s,^['$as_cr_digits']*\n,,
173     ' >$as_me.lineno &&
174   chmod +x $as_me.lineno ||
175     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
176    { (exit 1); exit 1; }; }
177
178   # Don't try to exec as it changes $[0], causing all sort of problems
179   # (the dirname of $[0] is not the place where we might find the
180   # original and so on.  Autoconf is especially sensible to this).
181   . ./$as_me.lineno
182   # Exit status is that of the last command.
183   exit
184 }
185
186
187 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
188   *c*,-n*) ECHO_N= ECHO_C='
189 ' ECHO_T='      ' ;;
190   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
191   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
192 esac
193
194 if expr a : '\(a\)' >/dev/null 2>&1; then
195   as_expr=expr
196 else
197   as_expr=false
198 fi
199
200 rm -f conf$$ conf$$.exe conf$$.file
201 echo >conf$$.file
202 if ln -s conf$$.file conf$$ 2>/dev/null; then
203   # We could just check for DJGPP; but this test a) works b) is more generic
204   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
205   if test -f conf$$.exe; then
206     # Don't use ln at all; we don't have any links
207     as_ln_s='cp -p'
208   else
209     as_ln_s='ln -s'
210   fi
211 elif ln conf$$.file conf$$ 2>/dev/null; then
212   as_ln_s=ln
213 else
214   as_ln_s='cp -p'
215 fi
216 rm -f conf$$ conf$$.exe conf$$.file
217
218 if mkdir -p . 2>/dev/null; then
219   as_mkdir_p=:
220 else
221   as_mkdir_p=false
222 fi
223
224 as_executable_p="test -f"
225
226 # Sed expression to map a string onto a valid CPP name.
227 as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
228
229 # Sed expression to map a string onto a valid variable name.
230 as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
231
232
233 # IFS
234 # We need space, tab and new line, in precisely that order.
235 as_nl='
236 '
237 IFS="   $as_nl"
238
239 # CDPATH.
240 $as_unset CDPATH
241
242
243 # Name of the host.
244 # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
245 # so uname gets run too.
246 ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
247
248 exec 6>&1
249
250 #
251 # Initializations.
252 #
253 ac_default_prefix=/usr/local
254 ac_config_libobj_dir=.
255 cross_compiling=no
256 subdirs=
257 MFLAGS=
258 MAKEFLAGS=
259 SHELL=${CONFIG_SHELL-/bin/sh}
260
261 # Maximum number of lines to put in a shell here document.
262 # This variable seems obsolete.  It should probably be removed, and
263 # only ac_max_sed_lines should be used.
264 : ${ac_max_here_lines=38}
265
266 # Identity of this package.
267 PACKAGE_NAME=
268 PACKAGE_TARNAME=
269 PACKAGE_VERSION=
270 PACKAGE_STRING=
271 PACKAGE_BUGREPORT=
272
273 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS GPASM GPLINK GPLIB RM CP MV LS SED LIBOBJS LTLIBOBJS'
274 ac_subst_files=''
275
276 # Initialize some variables set by options.
277 ac_init_help=
278 ac_init_version=false
279 # The variables have the same names as the options, with
280 # dashes changed to underlines.
281 cache_file=/dev/null
282 exec_prefix=NONE
283 no_create=
284 no_recursion=
285 prefix=NONE
286 program_prefix=NONE
287 program_suffix=NONE
288 program_transform_name=s,x,x,
289 silent=
290 site=
291 srcdir=
292 verbose=
293 x_includes=NONE
294 x_libraries=NONE
295
296 # Installation directory options.
297 # These are left unexpanded so users can "make install exec_prefix=/foo"
298 # and all the variables that are supposed to be based on exec_prefix
299 # by default will actually change.
300 # Use braces instead of parens because sh, perl, etc. also accept them.
301 bindir='${exec_prefix}/bin'
302 sbindir='${exec_prefix}/sbin'
303 libexecdir='${exec_prefix}/libexec'
304 datadir='${prefix}/share'
305 sysconfdir='${prefix}/etc'
306 sharedstatedir='${prefix}/com'
307 localstatedir='${prefix}/var'
308 libdir='${exec_prefix}/lib'
309 includedir='${prefix}/include'
310 oldincludedir='/usr/include'
311 infodir='${prefix}/info'
312 mandir='${prefix}/man'
313
314 ac_prev=
315 for ac_option
316 do
317   # If the previous option needs an argument, assign it.
318   if test -n "$ac_prev"; then
319     eval "$ac_prev=\$ac_option"
320     ac_prev=
321     continue
322   fi
323
324   ac_optarg=`expr "x$ac_option" : 'x[^=]*=\(.*\)'`
325
326   # Accept the important Cygnus configure options, so we can diagnose typos.
327
328   case $ac_option in
329
330   -bindir | --bindir | --bindi | --bind | --bin | --bi)
331     ac_prev=bindir ;;
332   -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
333     bindir=$ac_optarg ;;
334
335   -build | --build | --buil | --bui | --bu)
336     ac_prev=build_alias ;;
337   -build=* | --build=* | --buil=* | --bui=* | --bu=*)
338     build_alias=$ac_optarg ;;
339
340   -cache-file | --cache-file | --cache-fil | --cache-fi \
341   | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
342     ac_prev=cache_file ;;
343   -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
344   | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
345     cache_file=$ac_optarg ;;
346
347   --config-cache | -C)
348     cache_file=config.cache ;;
349
350   -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
351     ac_prev=datadir ;;
352   -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
353   | --da=*)
354     datadir=$ac_optarg ;;
355
356   -disable-* | --disable-*)
357     ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
358     # Reject names that are not valid shell variable names.
359     expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
360       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
361    { (exit 1); exit 1; }; }
362     ac_feature=`echo $ac_feature | sed 's/-/_/g'`
363     eval "enable_$ac_feature=no" ;;
364
365   -enable-* | --enable-*)
366     ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
367     # Reject names that are not valid shell variable names.
368     expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
369       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
370    { (exit 1); exit 1; }; }
371     ac_feature=`echo $ac_feature | sed 's/-/_/g'`
372     case $ac_option in
373       *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
374       *) ac_optarg=yes ;;
375     esac
376     eval "enable_$ac_feature='$ac_optarg'" ;;
377
378   -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
379   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
380   | --exec | --exe | --ex)
381     ac_prev=exec_prefix ;;
382   -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
383   | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
384   | --exec=* | --exe=* | --ex=*)
385     exec_prefix=$ac_optarg ;;
386
387   -gas | --gas | --ga | --g)
388     # Obsolete; use --with-gas.
389     with_gas=yes ;;
390
391   -help | --help | --hel | --he | -h)
392     ac_init_help=long ;;
393   -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
394     ac_init_help=recursive ;;
395   -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
396     ac_init_help=short ;;
397
398   -host | --host | --hos | --ho)
399     ac_prev=host_alias ;;
400   -host=* | --host=* | --hos=* | --ho=*)
401     host_alias=$ac_optarg ;;
402
403   -includedir | --includedir | --includedi | --included | --include \
404   | --includ | --inclu | --incl | --inc)
405     ac_prev=includedir ;;
406   -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
407   | --includ=* | --inclu=* | --incl=* | --inc=*)
408     includedir=$ac_optarg ;;
409
410   -infodir | --infodir | --infodi | --infod | --info | --inf)
411     ac_prev=infodir ;;
412   -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
413     infodir=$ac_optarg ;;
414
415   -libdir | --libdir | --libdi | --libd)
416     ac_prev=libdir ;;
417   -libdir=* | --libdir=* | --libdi=* | --libd=*)
418     libdir=$ac_optarg ;;
419
420   -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
421   | --libexe | --libex | --libe)
422     ac_prev=libexecdir ;;
423   -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
424   | --libexe=* | --libex=* | --libe=*)
425     libexecdir=$ac_optarg ;;
426
427   -localstatedir | --localstatedir | --localstatedi | --localstated \
428   | --localstate | --localstat | --localsta | --localst \
429   | --locals | --local | --loca | --loc | --lo)
430     ac_prev=localstatedir ;;
431   -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
432   | --localstate=* | --localstat=* | --localsta=* | --localst=* \
433   | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
434     localstatedir=$ac_optarg ;;
435
436   -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
437     ac_prev=mandir ;;
438   -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
439     mandir=$ac_optarg ;;
440
441   -nfp | --nfp | --nf)
442     # Obsolete; use --without-fp.
443     with_fp=no ;;
444
445   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
446   | --no-cr | --no-c | -n)
447     no_create=yes ;;
448
449   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
450   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
451     no_recursion=yes ;;
452
453   -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
454   | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
455   | --oldin | --oldi | --old | --ol | --o)
456     ac_prev=oldincludedir ;;
457   -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
458   | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
459   | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
460     oldincludedir=$ac_optarg ;;
461
462   -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
463     ac_prev=prefix ;;
464   -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
465     prefix=$ac_optarg ;;
466
467   -program-prefix | --program-prefix | --program-prefi | --program-pref \
468   | --program-pre | --program-pr | --program-p)
469     ac_prev=program_prefix ;;
470   -program-prefix=* | --program-prefix=* | --program-prefi=* \
471   | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
472     program_prefix=$ac_optarg ;;
473
474   -program-suffix | --program-suffix | --program-suffi | --program-suff \
475   | --program-suf | --program-su | --program-s)
476     ac_prev=program_suffix ;;
477   -program-suffix=* | --program-suffix=* | --program-suffi=* \
478   | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
479     program_suffix=$ac_optarg ;;
480
481   -program-transform-name | --program-transform-name \
482   | --program-transform-nam | --program-transform-na \
483   | --program-transform-n | --program-transform- \
484   | --program-transform | --program-transfor \
485   | --program-transfo | --program-transf \
486   | --program-trans | --program-tran \
487   | --progr-tra | --program-tr | --program-t)
488     ac_prev=program_transform_name ;;
489   -program-transform-name=* | --program-transform-name=* \
490   | --program-transform-nam=* | --program-transform-na=* \
491   | --program-transform-n=* | --program-transform-=* \
492   | --program-transform=* | --program-transfor=* \
493   | --program-transfo=* | --program-transf=* \
494   | --program-trans=* | --program-tran=* \
495   | --progr-tra=* | --program-tr=* | --program-t=*)
496     program_transform_name=$ac_optarg ;;
497
498   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
499   | -silent | --silent | --silen | --sile | --sil)
500     silent=yes ;;
501
502   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
503     ac_prev=sbindir ;;
504   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
505   | --sbi=* | --sb=*)
506     sbindir=$ac_optarg ;;
507
508   -sharedstatedir | --sharedstatedir | --sharedstatedi \
509   | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
510   | --sharedst | --shareds | --shared | --share | --shar \
511   | --sha | --sh)
512     ac_prev=sharedstatedir ;;
513   -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
514   | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
515   | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
516   | --sha=* | --sh=*)
517     sharedstatedir=$ac_optarg ;;
518
519   -site | --site | --sit)
520     ac_prev=site ;;
521   -site=* | --site=* | --sit=*)
522     site=$ac_optarg ;;
523
524   -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
525     ac_prev=srcdir ;;
526   -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
527     srcdir=$ac_optarg ;;
528
529   -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
530   | --syscon | --sysco | --sysc | --sys | --sy)
531     ac_prev=sysconfdir ;;
532   -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
533   | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
534     sysconfdir=$ac_optarg ;;
535
536   -target | --target | --targe | --targ | --tar | --ta | --t)
537     ac_prev=target_alias ;;
538   -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
539     target_alias=$ac_optarg ;;
540
541   -v | -verbose | --verbose | --verbos | --verbo | --verb)
542     verbose=yes ;;
543
544   -version | --version | --versio | --versi | --vers | -V)
545     ac_init_version=: ;;
546
547   -with-* | --with-*)
548     ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
549     # Reject names that are not valid shell variable names.
550     expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
551       { echo "$as_me: error: invalid package name: $ac_package" >&2
552    { (exit 1); exit 1; }; }
553     ac_package=`echo $ac_package| sed 's/-/_/g'`
554     case $ac_option in
555       *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
556       *) ac_optarg=yes ;;
557     esac
558     eval "with_$ac_package='$ac_optarg'" ;;
559
560   -without-* | --without-*)
561     ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
562     # Reject names that are not valid shell variable names.
563     expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
564       { echo "$as_me: error: invalid package name: $ac_package" >&2
565    { (exit 1); exit 1; }; }
566     ac_package=`echo $ac_package | sed 's/-/_/g'`
567     eval "with_$ac_package=no" ;;
568
569   --x)
570     # Obsolete; use --with-x.
571     with_x=yes ;;
572
573   -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
574   | --x-incl | --x-inc | --x-in | --x-i)
575     ac_prev=x_includes ;;
576   -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
577   | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
578     x_includes=$ac_optarg ;;
579
580   -x-libraries | --x-libraries | --x-librarie | --x-librari \
581   | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
582     ac_prev=x_libraries ;;
583   -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
584   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
585     x_libraries=$ac_optarg ;;
586
587   -*) { echo "$as_me: error: unrecognized option: $ac_option
588 Try \`$0 --help' for more information." >&2
589    { (exit 1); exit 1; }; }
590     ;;
591
592   *=*)
593     ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
594     # Reject names that are not valid shell variable names.
595     expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
596       { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
597    { (exit 1); exit 1; }; }
598     ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`
599     eval "$ac_envvar='$ac_optarg'"
600     export $ac_envvar ;;
601
602   *)
603     # FIXME: should be removed in autoconf 3.0.
604     echo "$as_me: WARNING: you should use --build, --host, --target" >&2
605     expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
606       echo "$as_me: WARNING: invalid host type: $ac_option" >&2
607     : ${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}
608     ;;
609
610   esac
611 done
612
613 if test -n "$ac_prev"; then
614   ac_option=--`echo $ac_prev | sed 's/_/-/g'`
615   { echo "$as_me: error: missing argument to $ac_option" >&2
616    { (exit 1); exit 1; }; }
617 fi
618
619 # Be sure to have absolute paths.
620 for ac_var in exec_prefix prefix
621 do
622   eval ac_val=$`echo $ac_var`
623   case $ac_val in
624     [\\/$]* | ?:[\\/]* | NONE | '' ) ;;
625     *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
626    { (exit 1); exit 1; }; };;
627   esac
628 done
629
630 # Be sure to have absolute paths.
631 for ac_var in bindir sbindir libexecdir datadir sysconfdir sharedstatedir \
632               localstatedir libdir includedir oldincludedir infodir mandir
633 do
634   eval ac_val=$`echo $ac_var`
635   case $ac_val in
636     [\\/$]* | ?:[\\/]* ) ;;
637     *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
638    { (exit 1); exit 1; }; };;
639   esac
640 done
641
642 # There might be people who depend on the old broken behavior: `$host'
643 # used to hold the argument of --host etc.
644 # FIXME: To remove some day.
645 build=$build_alias
646 host=$host_alias
647 target=$target_alias
648
649 # FIXME: To remove some day.
650 if test "x$host_alias" != x; then
651   if test "x$build_alias" = x; then
652     cross_compiling=maybe
653     echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
654     If a cross compiler is detected then cross compile mode will be used." >&2
655   elif test "x$build_alias" != "x$host_alias"; then
656     cross_compiling=yes
657   fi
658 fi
659
660 ac_tool_prefix=
661 test -n "$host_alias" && ac_tool_prefix=$host_alias-
662
663 test "$silent" = yes && exec 6>/dev/null
664
665
666 # Find the source files, if location was not specified.
667 if test -z "$srcdir"; then
668   ac_srcdir_defaulted=yes
669   # Try the directory containing this script, then its parent.
670   ac_confdir=`(dirname "$0") 2>/dev/null ||
671 $as_expr X"$0" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
672          X"$0" : 'X\(//\)[^/]' \| \
673          X"$0" : 'X\(//\)$' \| \
674          X"$0" : 'X\(/\)' \| \
675          .     : '\(.\)' 2>/dev/null ||
676 echo X"$0" |
677     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
678           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
679           /^X\(\/\/\)$/{ s//\1/; q; }
680           /^X\(\/\).*/{ s//\1/; q; }
681           s/.*/./; q'`
682   srcdir=$ac_confdir
683   if test ! -r $srcdir/$ac_unique_file; then
684     srcdir=..
685   fi
686 else
687   ac_srcdir_defaulted=no
688 fi
689 if test ! -r $srcdir/$ac_unique_file; then
690   if test "$ac_srcdir_defaulted" = yes; then
691     { echo "$as_me: error: cannot find sources ($ac_unique_file) in $ac_confdir or .." >&2
692    { (exit 1); exit 1; }; }
693   else
694     { echo "$as_me: error: cannot find sources ($ac_unique_file) in $srcdir" >&2
695    { (exit 1); exit 1; }; }
696   fi
697 fi
698 (cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||
699   { echo "$as_me: error: sources are in $srcdir, but \`cd $srcdir' does not work" >&2
700    { (exit 1); exit 1; }; }
701 srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
702 ac_env_build_alias_set=${build_alias+set}
703 ac_env_build_alias_value=$build_alias
704 ac_cv_env_build_alias_set=${build_alias+set}
705 ac_cv_env_build_alias_value=$build_alias
706 ac_env_host_alias_set=${host_alias+set}
707 ac_env_host_alias_value=$host_alias
708 ac_cv_env_host_alias_set=${host_alias+set}
709 ac_cv_env_host_alias_value=$host_alias
710 ac_env_target_alias_set=${target_alias+set}
711 ac_env_target_alias_value=$target_alias
712 ac_cv_env_target_alias_set=${target_alias+set}
713 ac_cv_env_target_alias_value=$target_alias
714
715 #
716 # Report the --help message.
717 #
718 if test "$ac_init_help" = "long"; then
719   # Omit some internal or obsolete options to make the list less imposing.
720   # This message is too long to be a string in the A/UX 3.1 sh.
721   cat <<_ACEOF
722 \`configure' configures this package to adapt to many kinds of systems.
723
724 Usage: $0 [OPTION]... [VAR=VALUE]...
725
726 To assign environment variables (e.g., CC, CFLAGS...), specify them as
727 VAR=VALUE.  See below for descriptions of some of the useful variables.
728
729 Defaults for the options are specified in brackets.
730
731 Configuration:
732   -h, --help              display this help and exit
733       --help=short        display options specific to this package
734       --help=recursive    display the short help of all the included packages
735   -V, --version           display version information and exit
736   -q, --quiet, --silent   do not print \`checking...' messages
737       --cache-file=FILE   cache test results in FILE [disabled]
738   -C, --config-cache      alias for \`--cache-file=config.cache'
739   -n, --no-create         do not create output files
740       --srcdir=DIR        find the sources in DIR [configure dir or \`..']
741
742 _ACEOF
743
744   cat <<_ACEOF
745 Installation directories:
746   --prefix=PREFIX         install architecture-independent files in PREFIX
747                           [$ac_default_prefix]
748   --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
749                           [PREFIX]
750
751 By default, \`make install' will install all the files in
752 \`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
753 an installation prefix other than \`$ac_default_prefix' using \`--prefix',
754 for instance \`--prefix=\$HOME'.
755
756 For better control, use the options below.
757
758 Fine tuning of the installation directories:
759   --bindir=DIR           user executables [EPREFIX/bin]
760   --sbindir=DIR          system admin executables [EPREFIX/sbin]
761   --libexecdir=DIR       program executables [EPREFIX/libexec]
762   --datadir=DIR          read-only architecture-independent data [PREFIX/share]
763   --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
764   --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
765   --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
766   --libdir=DIR           object code libraries [EPREFIX/lib]
767   --includedir=DIR       C header files [PREFIX/include]
768   --oldincludedir=DIR    C header files for non-gcc [/usr/include]
769   --infodir=DIR          info documentation [PREFIX/info]
770   --mandir=DIR           man documentation [PREFIX/man]
771 _ACEOF
772
773   cat <<\_ACEOF
774 _ACEOF
775 fi
776
777 if test -n "$ac_init_help"; then
778
779   cat <<\_ACEOF
780
781 _ACEOF
782 fi
783
784 if test "$ac_init_help" = "recursive"; then
785   # If there are subdirs, report their specific --help.
786   ac_popdir=`pwd`
787   for ac_dir in : $ac_subdirs_all; do test "x$ac_dir" = x: && continue
788     test -d $ac_dir || continue
789     ac_builddir=.
790
791 if test "$ac_dir" != .; then
792   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
793   # A "../" for each directory in $ac_dir_suffix.
794   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
795 else
796   ac_dir_suffix= ac_top_builddir=
797 fi
798
799 case $srcdir in
800   .)  # No --srcdir option.  We are building in place.
801     ac_srcdir=.
802     if test -z "$ac_top_builddir"; then
803        ac_top_srcdir=.
804     else
805        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
806     fi ;;
807   [\\/]* | ?:[\\/]* )  # Absolute path.
808     ac_srcdir=$srcdir$ac_dir_suffix;
809     ac_top_srcdir=$srcdir ;;
810   *) # Relative path.
811     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
812     ac_top_srcdir=$ac_top_builddir$srcdir ;;
813 esac
814 # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
815 # absolute.
816 ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
817 ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
818 ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
819 ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
820
821     cd $ac_dir
822     # Check for guested configure; otherwise get Cygnus style configure.
823     if test -f $ac_srcdir/configure.gnu; then
824       echo
825       $SHELL $ac_srcdir/configure.gnu  --help=recursive
826     elif test -f $ac_srcdir/configure; then
827       echo
828       $SHELL $ac_srcdir/configure  --help=recursive
829     elif test -f $ac_srcdir/configure.ac ||
830            test -f $ac_srcdir/configure.in; then
831       echo
832       $ac_configure --help
833     else
834       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
835     fi
836     cd $ac_popdir
837   done
838 fi
839
840 test -n "$ac_init_help" && exit 0
841 if $ac_init_version; then
842   cat <<\_ACEOF
843
844 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001, 2002
845 Free Software Foundation, Inc.
846 This configure script is free software; the Free Software Foundation
847 gives unlimited permission to copy, distribute and modify it.
848 _ACEOF
849   exit 0
850 fi
851 exec 5>config.log
852 cat >&5 <<_ACEOF
853 This file contains any messages produced by compilers while
854 running configure, to aid debugging if configure makes a mistake.
855
856 It was created by $as_me, which was
857 generated by GNU Autoconf 2.57.  Invocation command line was
858
859   $ $0 $@
860
861 _ACEOF
862 {
863 cat <<_ASUNAME
864 ## --------- ##
865 ## Platform. ##
866 ## --------- ##
867
868 hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
869 uname -m = `(uname -m) 2>/dev/null || echo unknown`
870 uname -r = `(uname -r) 2>/dev/null || echo unknown`
871 uname -s = `(uname -s) 2>/dev/null || echo unknown`
872 uname -v = `(uname -v) 2>/dev/null || echo unknown`
873
874 /usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
875 /bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`
876
877 /bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
878 /usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
879 /usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
880 hostinfo               = `(hostinfo) 2>/dev/null               || echo unknown`
881 /bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
882 /usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
883 /bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`
884
885 _ASUNAME
886
887 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
888 for as_dir in $PATH
889 do
890   IFS=$as_save_IFS
891   test -z "$as_dir" && as_dir=.
892   echo "PATH: $as_dir"
893 done
894
895 } >&5
896
897 cat >&5 <<_ACEOF
898
899
900 ## ----------- ##
901 ## Core tests. ##
902 ## ----------- ##
903
904 _ACEOF
905
906
907 # Keep a trace of the command line.
908 # Strip out --no-create and --no-recursion so they do not pile up.
909 # Strip out --silent because we don't want to record it for future runs.
910 # Also quote any args containing shell meta-characters.
911 # Make two passes to allow for proper duplicate-argument suppression.
912 ac_configure_args=
913 ac_configure_args0=
914 ac_configure_args1=
915 ac_sep=
916 ac_must_keep_next=false
917 for ac_pass in 1 2
918 do
919   for ac_arg
920   do
921     case $ac_arg in
922     -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
923     -q | -quiet | --quiet | --quie | --qui | --qu | --q \
924     | -silent | --silent | --silen | --sile | --sil)
925       continue ;;
926     *" "*|*"    "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
927       ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
928     esac
929     case $ac_pass in
930     1) ac_configure_args0="$ac_configure_args0 '$ac_arg'" ;;
931     2)
932       ac_configure_args1="$ac_configure_args1 '$ac_arg'"
933       if test $ac_must_keep_next = true; then
934         ac_must_keep_next=false # Got value, back to normal.
935       else
936         case $ac_arg in
937           *=* | --config-cache | -C | -disable-* | --disable-* \
938           | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
939           | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
940           | -with-* | --with-* | -without-* | --without-* | --x)
941             case "$ac_configure_args0 " in
942               "$ac_configure_args1"*" '$ac_arg' "* ) continue ;;
943             esac
944             ;;
945           -* ) ac_must_keep_next=true ;;
946         esac
947       fi
948       ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
949       # Get rid of the leading space.
950       ac_sep=" "
951       ;;
952     esac
953   done
954 done
955 $as_unset ac_configure_args0 || test "${ac_configure_args0+set}" != set || { ac_configure_args0=; export ac_configure_args0; }
956 $as_unset ac_configure_args1 || test "${ac_configure_args1+set}" != set || { ac_configure_args1=; export ac_configure_args1; }
957
958 # When interrupted or exit'd, cleanup temporary files, and complete
959 # config.log.  We remove comments because anyway the quotes in there
960 # would cause problems or look ugly.
961 # WARNING: Be sure not to use single quotes in there, as some shells,
962 # such as our DU 5.0 friend, will then `close' the trap.
963 trap 'exit_status=$?
964   # Save into config.log some information that might help in debugging.
965   {
966     echo
967
968     cat <<\_ASBOX
969 ## ---------------- ##
970 ## Cache variables. ##
971 ## ---------------- ##
972 _ASBOX
973     echo
974     # The following way of writing the cache mishandles newlines in values,
975 {
976   (set) 2>&1 |
977     case `(ac_space='"'"' '"'"'; set | grep ac_space) 2>&1` in
978     *ac_space=\ *)
979       sed -n \
980         "s/'"'"'/'"'"'\\\\'"'"''"'"'/g;
981           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='"'"'\\2'"'"'/p"
982       ;;
983     *)
984       sed -n \
985         "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
986       ;;
987     esac;
988 }
989     echo
990
991     cat <<\_ASBOX
992 ## ----------------- ##
993 ## Output variables. ##
994 ## ----------------- ##
995 _ASBOX
996     echo
997     for ac_var in $ac_subst_vars
998     do
999       eval ac_val=$`echo $ac_var`
1000       echo "$ac_var='"'"'$ac_val'"'"'"
1001     done | sort
1002     echo
1003
1004     if test -n "$ac_subst_files"; then
1005       cat <<\_ASBOX
1006 ## ------------- ##
1007 ## Output files. ##
1008 ## ------------- ##
1009 _ASBOX
1010       echo
1011       for ac_var in $ac_subst_files
1012       do
1013         eval ac_val=$`echo $ac_var`
1014         echo "$ac_var='"'"'$ac_val'"'"'"
1015       done | sort
1016       echo
1017     fi
1018
1019     if test -s confdefs.h; then
1020       cat <<\_ASBOX
1021 ## ----------- ##
1022 ## confdefs.h. ##
1023 ## ----------- ##
1024 _ASBOX
1025       echo
1026       sed "/^$/d" confdefs.h | sort
1027       echo
1028     fi
1029     test "$ac_signal" != 0 &&
1030       echo "$as_me: caught signal $ac_signal"
1031     echo "$as_me: exit $exit_status"
1032   } >&5
1033   rm -f core core.* *.core &&
1034   rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
1035     exit $exit_status
1036      ' 0
1037 for ac_signal in 1 2 13 15; do
1038   trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
1039 done
1040 ac_signal=0
1041
1042 # confdefs.h avoids OS command line length limits that DEFS can exceed.
1043 rm -rf conftest* confdefs.h
1044 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
1045 echo >confdefs.h
1046
1047 # Predefined preprocessor variables.
1048
1049 cat >>confdefs.h <<_ACEOF
1050 #define PACKAGE_NAME "$PACKAGE_NAME"
1051 _ACEOF
1052
1053
1054 cat >>confdefs.h <<_ACEOF
1055 #define PACKAGE_TARNAME "$PACKAGE_TARNAME"
1056 _ACEOF
1057
1058
1059 cat >>confdefs.h <<_ACEOF
1060 #define PACKAGE_VERSION "$PACKAGE_VERSION"
1061 _ACEOF
1062
1063
1064 cat >>confdefs.h <<_ACEOF
1065 #define PACKAGE_STRING "$PACKAGE_STRING"
1066 _ACEOF
1067
1068
1069 cat >>confdefs.h <<_ACEOF
1070 #define PACKAGE_BUGREPORT "$PACKAGE_BUGREPORT"
1071 _ACEOF
1072
1073
1074 # Let the site file select an alternate cache file if it wants to.
1075 # Prefer explicitly selected file to automatically selected ones.
1076 if test -z "$CONFIG_SITE"; then
1077   if test "x$prefix" != xNONE; then
1078     CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
1079   else
1080     CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
1081   fi
1082 fi
1083 for ac_site_file in $CONFIG_SITE; do
1084   if test -r "$ac_site_file"; then
1085     { echo "$as_me:$LINENO: loading site script $ac_site_file" >&5
1086 echo "$as_me: loading site script $ac_site_file" >&6;}
1087     sed 's/^/| /' "$ac_site_file" >&5
1088     . "$ac_site_file"
1089   fi
1090 done
1091
1092 if test -r "$cache_file"; then
1093   # Some versions of bash will fail to source /dev/null (special
1094   # files actually), so we avoid doing that.
1095   if test -f "$cache_file"; then
1096     { echo "$as_me:$LINENO: loading cache $cache_file" >&5
1097 echo "$as_me: loading cache $cache_file" >&6;}
1098     case $cache_file in
1099       [\\/]* | ?:[\\/]* ) . $cache_file;;
1100       *)                      . ./$cache_file;;
1101     esac
1102   fi
1103 else
1104   { echo "$as_me:$LINENO: creating cache $cache_file" >&5
1105 echo "$as_me: creating cache $cache_file" >&6;}
1106   >$cache_file
1107 fi
1108
1109 # Check that the precious variables saved in the cache have kept the same
1110 # value.
1111 ac_cache_corrupted=false
1112 for ac_var in `(set) 2>&1 |
1113                sed -n 's/^ac_env_\([a-zA-Z_0-9]*\)_set=.*/\1/p'`; do
1114   eval ac_old_set=\$ac_cv_env_${ac_var}_set
1115   eval ac_new_set=\$ac_env_${ac_var}_set
1116   eval ac_old_val="\$ac_cv_env_${ac_var}_value"
1117   eval ac_new_val="\$ac_env_${ac_var}_value"
1118   case $ac_old_set,$ac_new_set in
1119     set,)
1120       { echo "$as_me:$LINENO: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
1121 echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
1122       ac_cache_corrupted=: ;;
1123     ,set)
1124       { echo "$as_me:$LINENO: error: \`$ac_var' was not set in the previous run" >&5
1125 echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
1126       ac_cache_corrupted=: ;;
1127     ,);;
1128     *)
1129       if test "x$ac_old_val" != "x$ac_new_val"; then
1130         { echo "$as_me:$LINENO: error: \`$ac_var' has changed since the previous run:" >&5
1131 echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
1132         { echo "$as_me:$LINENO:   former value:  $ac_old_val" >&5
1133 echo "$as_me:   former value:  $ac_old_val" >&2;}
1134         { echo "$as_me:$LINENO:   current value: $ac_new_val" >&5
1135 echo "$as_me:   current value: $ac_new_val" >&2;}
1136         ac_cache_corrupted=:
1137       fi;;
1138   esac
1139   # Pass precious variables to config.status.
1140   if test "$ac_new_set" = set; then
1141     case $ac_new_val in
1142     *" "*|*"    "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
1143       ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"` ;;
1144     *) ac_arg=$ac_var=$ac_new_val ;;
1145     esac
1146     case " $ac_configure_args " in
1147       *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
1148       *) ac_configure_args="$ac_configure_args '$ac_arg'" ;;
1149     esac
1150   fi
1151 done
1152 if $ac_cache_corrupted; then
1153   { echo "$as_me:$LINENO: error: changes in the environment can compromise the build" >&5
1154 echo "$as_me: error: changes in the environment can compromise the build" >&2;}
1155   { { echo "$as_me:$LINENO: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
1156 echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
1157    { (exit 1); exit 1; }; }
1158 fi
1159
1160 ac_ext=c
1161 ac_cpp='$CPP $CPPFLAGS'
1162 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1163 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1164 ac_compiler_gnu=$ac_cv_c_compiler_gnu
1165
1166
1167
1168
1169
1170
1171
1172
1173
1174
1175
1176
1177
1178
1179
1180
1181
1182
1183
1184
1185 #AC_DEFUN(AC_CONFIG_SRCDIR)
1186 #AC_DEFUN(AC_CONFIG_FILES)
1187
1188 # Checks for programs.
1189 # Extract the first word of "gpasm", so it can be a program name with args.
1190 set dummy gpasm; ac_word=$2
1191 echo "$as_me:$LINENO: checking for $ac_word" >&5
1192 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1193 if test "${ac_cv_prog_GPASM+set}" = set; then
1194   echo $ECHO_N "(cached) $ECHO_C" >&6
1195 else
1196   if test -n "$GPASM"; then
1197   ac_cv_prog_GPASM="$GPASM" # Let the user override the test.
1198 else
1199 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1200 for as_dir in $PATH
1201 do
1202   IFS=$as_save_IFS
1203   test -z "$as_dir" && as_dir=.
1204   for ac_exec_ext in '' $ac_executable_extensions; do
1205   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1206     ac_cv_prog_GPASM="gpasm"
1207     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1208     break 2
1209   fi
1210 done
1211 done
1212
1213   test -z "$ac_cv_prog_GPASM" && ac_cv_prog_GPASM=":"
1214 fi
1215 fi
1216 GPASM=$ac_cv_prog_GPASM
1217 if test -n "$GPASM"; then
1218   echo "$as_me:$LINENO: result: $GPASM" >&5
1219 echo "${ECHO_T}$GPASM" >&6
1220 else
1221   echo "$as_me:$LINENO: result: no" >&5
1222 echo "${ECHO_T}no" >&6
1223 fi
1224
1225 # Extract the first word of "gplink", so it can be a program name with args.
1226 set dummy gplink; ac_word=$2
1227 echo "$as_me:$LINENO: checking for $ac_word" >&5
1228 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1229 if test "${ac_cv_prog_GPLINK+set}" = set; then
1230   echo $ECHO_N "(cached) $ECHO_C" >&6
1231 else
1232   if test -n "$GPLINK"; then
1233   ac_cv_prog_GPLINK="$GPLINK" # Let the user override the test.
1234 else
1235 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1236 for as_dir in $PATH
1237 do
1238   IFS=$as_save_IFS
1239   test -z "$as_dir" && as_dir=.
1240   for ac_exec_ext in '' $ac_executable_extensions; do
1241   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1242     ac_cv_prog_GPLINK="gplink"
1243     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1244     break 2
1245   fi
1246 done
1247 done
1248
1249   test -z "$ac_cv_prog_GPLINK" && ac_cv_prog_GPLINK=":"
1250 fi
1251 fi
1252 GPLINK=$ac_cv_prog_GPLINK
1253 if test -n "$GPLINK"; then
1254   echo "$as_me:$LINENO: result: $GPLINK" >&5
1255 echo "${ECHO_T}$GPLINK" >&6
1256 else
1257   echo "$as_me:$LINENO: result: no" >&5
1258 echo "${ECHO_T}no" >&6
1259 fi
1260
1261 # Extract the first word of "gplib", so it can be a program name with args.
1262 set dummy gplib; ac_word=$2
1263 echo "$as_me:$LINENO: checking for $ac_word" >&5
1264 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1265 if test "${ac_cv_prog_GPLIB+set}" = set; then
1266   echo $ECHO_N "(cached) $ECHO_C" >&6
1267 else
1268   if test -n "$GPLIB"; then
1269   ac_cv_prog_GPLIB="$GPLIB" # Let the user override the test.
1270 else
1271 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1272 for as_dir in $PATH
1273 do
1274   IFS=$as_save_IFS
1275   test -z "$as_dir" && as_dir=.
1276   for ac_exec_ext in '' $ac_executable_extensions; do
1277   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1278     ac_cv_prog_GPLIB="gplib"
1279     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1280     break 2
1281   fi
1282 done
1283 done
1284
1285   test -z "$ac_cv_prog_GPLIB" && ac_cv_prog_GPLIB=":"
1286 fi
1287 fi
1288 GPLIB=$ac_cv_prog_GPLIB
1289 if test -n "$GPLIB"; then
1290   echo "$as_me:$LINENO: result: $GPLIB" >&5
1291 echo "${ECHO_T}$GPLIB" >&6
1292 else
1293   echo "$as_me:$LINENO: result: no" >&5
1294 echo "${ECHO_T}no" >&6
1295 fi
1296
1297
1298 # Extract the first word of "rm", so it can be a program name with args.
1299 set dummy rm; ac_word=$2
1300 echo "$as_me:$LINENO: checking for $ac_word" >&5
1301 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1302 if test "${ac_cv_prog_RM+set}" = set; then
1303   echo $ECHO_N "(cached) $ECHO_C" >&6
1304 else
1305   if test -n "$RM"; then
1306   ac_cv_prog_RM="$RM" # Let the user override the test.
1307 else
1308 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1309 for as_dir in $PATH
1310 do
1311   IFS=$as_save_IFS
1312   test -z "$as_dir" && as_dir=.
1313   for ac_exec_ext in '' $ac_executable_extensions; do
1314   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1315     ac_cv_prog_RM="rm"
1316     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1317     break 2
1318   fi
1319 done
1320 done
1321
1322   test -z "$ac_cv_prog_RM" && ac_cv_prog_RM=":"
1323 fi
1324 fi
1325 RM=$ac_cv_prog_RM
1326 if test -n "$RM"; then
1327   echo "$as_me:$LINENO: result: $RM" >&5
1328 echo "${ECHO_T}$RM" >&6
1329 else
1330   echo "$as_me:$LINENO: result: no" >&5
1331 echo "${ECHO_T}no" >&6
1332 fi
1333
1334 # Extract the first word of "cp", so it can be a program name with args.
1335 set dummy cp; ac_word=$2
1336 echo "$as_me:$LINENO: checking for $ac_word" >&5
1337 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1338 if test "${ac_cv_prog_CP+set}" = set; then
1339   echo $ECHO_N "(cached) $ECHO_C" >&6
1340 else
1341   if test -n "$CP"; then
1342   ac_cv_prog_CP="$CP" # Let the user override the test.
1343 else
1344 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1345 for as_dir in $PATH
1346 do
1347   IFS=$as_save_IFS
1348   test -z "$as_dir" && as_dir=.
1349   for ac_exec_ext in '' $ac_executable_extensions; do
1350   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1351     ac_cv_prog_CP="cp"
1352     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1353     break 2
1354   fi
1355 done
1356 done
1357
1358   test -z "$ac_cv_prog_CP" && ac_cv_prog_CP=":"
1359 fi
1360 fi
1361 CP=$ac_cv_prog_CP
1362 if test -n "$CP"; then
1363   echo "$as_me:$LINENO: result: $CP" >&5
1364 echo "${ECHO_T}$CP" >&6
1365 else
1366   echo "$as_me:$LINENO: result: no" >&5
1367 echo "${ECHO_T}no" >&6
1368 fi
1369
1370 # Extract the first word of "mv", so it can be a program name with args.
1371 set dummy mv; ac_word=$2
1372 echo "$as_me:$LINENO: checking for $ac_word" >&5
1373 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1374 if test "${ac_cv_prog_MV+set}" = set; then
1375   echo $ECHO_N "(cached) $ECHO_C" >&6
1376 else
1377   if test -n "$MV"; then
1378   ac_cv_prog_MV="$MV" # Let the user override the test.
1379 else
1380 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1381 for as_dir in $PATH
1382 do
1383   IFS=$as_save_IFS
1384   test -z "$as_dir" && as_dir=.
1385   for ac_exec_ext in '' $ac_executable_extensions; do
1386   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1387     ac_cv_prog_MV="mv"
1388     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1389     break 2
1390   fi
1391 done
1392 done
1393
1394   test -z "$ac_cv_prog_MV" && ac_cv_prog_MV=":"
1395 fi
1396 fi
1397 MV=$ac_cv_prog_MV
1398 if test -n "$MV"; then
1399   echo "$as_me:$LINENO: result: $MV" >&5
1400 echo "${ECHO_T}$MV" >&6
1401 else
1402   echo "$as_me:$LINENO: result: no" >&5
1403 echo "${ECHO_T}no" >&6
1404 fi
1405
1406 # Extract the first word of "ls", so it can be a program name with args.
1407 set dummy ls; ac_word=$2
1408 echo "$as_me:$LINENO: checking for $ac_word" >&5
1409 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1410 if test "${ac_cv_prog_LS+set}" = set; then
1411   echo $ECHO_N "(cached) $ECHO_C" >&6
1412 else
1413   if test -n "$LS"; then
1414   ac_cv_prog_LS="$LS" # Let the user override the test.
1415 else
1416 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1417 for as_dir in $PATH
1418 do
1419   IFS=$as_save_IFS
1420   test -z "$as_dir" && as_dir=.
1421   for ac_exec_ext in '' $ac_executable_extensions; do
1422   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1423     ac_cv_prog_LS="ls"
1424     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1425     break 2
1426   fi
1427 done
1428 done
1429
1430   test -z "$ac_cv_prog_LS" && ac_cv_prog_LS=":"
1431 fi
1432 fi
1433 LS=$ac_cv_prog_LS
1434 if test -n "$LS"; then
1435   echo "$as_me:$LINENO: result: $LS" >&5
1436 echo "${ECHO_T}$LS" >&6
1437 else
1438   echo "$as_me:$LINENO: result: no" >&5
1439 echo "${ECHO_T}no" >&6
1440 fi
1441
1442 # Extract the first word of "sed", so it can be a program name with args.
1443 set dummy sed; ac_word=$2
1444 echo "$as_me:$LINENO: checking for $ac_word" >&5
1445 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1446 if test "${ac_cv_prog_SED+set}" = set; then
1447   echo $ECHO_N "(cached) $ECHO_C" >&6
1448 else
1449   if test -n "$SED"; then
1450   ac_cv_prog_SED="$SED" # Let the user override the test.
1451 else
1452 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1453 for as_dir in $PATH
1454 do
1455   IFS=$as_save_IFS
1456   test -z "$as_dir" && as_dir=.
1457   for ac_exec_ext in '' $ac_executable_extensions; do
1458   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
1459     ac_cv_prog_SED="sed"
1460     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
1461     break 2
1462   fi
1463 done
1464 done
1465
1466   test -z "$ac_cv_prog_SED" && ac_cv_prog_SED=":"
1467 fi
1468 fi
1469 SED=$ac_cv_prog_SED
1470 if test -n "$SED"; then
1471   echo "$as_me:$LINENO: result: $SED" >&5
1472 echo "${ECHO_T}$SED" >&6
1473 else
1474   echo "$as_me:$LINENO: result: no" >&5
1475 echo "${ECHO_T}no" >&6
1476 fi
1477
1478
1479 # Checks for libraries.
1480
1481 # Checks for header files.
1482
1483 # Checks for typedefs, structures, and compiler characteristics.
1484
1485 # Checks for library functions.
1486
1487 cp pics.all pics.build
1488
1489           ac_config_files="$ac_config_files Makefile.common"
1490
1491 cat >confcache <<\_ACEOF
1492 # This file is a shell script that caches the results of configure
1493 # tests run on this system so they can be shared between configure
1494 # scripts and configure runs, see configure's option --config-cache.
1495 # It is not useful on other systems.  If it contains results you don't
1496 # want to keep, you may remove or edit it.
1497 #
1498 # config.status only pays attention to the cache file if you give it
1499 # the --recheck option to rerun configure.
1500 #
1501 # `ac_cv_env_foo' variables (set or unset) will be overridden when
1502 # loading this file, other *unset* `ac_cv_foo' will be assigned the
1503 # following values.
1504
1505 _ACEOF
1506
1507 # The following way of writing the cache mishandles newlines in values,
1508 # but we know of no workaround that is simple, portable, and efficient.
1509 # So, don't put newlines in cache variables' values.
1510 # Ultrix sh set writes to stderr and can't be redirected directly,
1511 # and sets the high bit in the cache file unless we assign to the vars.
1512 {
1513   (set) 2>&1 |
1514     case `(ac_space=' '; set | grep ac_space) 2>&1` in
1515     *ac_space=\ *)
1516       # `set' does not quote correctly, so add quotes (double-quote
1517       # substitution turns \\\\ into \\, and sed turns \\ into \).
1518       sed -n \
1519         "s/'/'\\\\''/g;
1520           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
1521       ;;
1522     *)
1523       # `set' quotes correctly as required by POSIX, so do not add quotes.
1524       sed -n \
1525         "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
1526       ;;
1527     esac;
1528 } |
1529   sed '
1530      t clear
1531      : clear
1532      s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
1533      t end
1534      /^ac_cv_env/!s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
1535      : end' >>confcache
1536 if diff $cache_file confcache >/dev/null 2>&1; then :; else
1537   if test -w $cache_file; then
1538     test "x$cache_file" != "x/dev/null" && echo "updating cache $cache_file"
1539     cat confcache >$cache_file
1540   else
1541     echo "not updating unwritable cache $cache_file"
1542   fi
1543 fi
1544 rm -f confcache
1545
1546 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1547 # Let make expand exec_prefix.
1548 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1549
1550 # VPATH may cause trouble with some makes, so we remove $(srcdir),
1551 # ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
1552 # trailing colons and then remove the whole line if VPATH becomes empty
1553 # (actually we leave an empty line to preserve line numbers).
1554 if test "x$srcdir" = x.; then
1555   ac_vpsub='/^[         ]*VPATH[        ]*=/{
1556 s/:*\$(srcdir):*/:/;
1557 s/:*\${srcdir}:*/:/;
1558 s/:*@srcdir@:*/:/;
1559 s/^\([^=]*=[    ]*\):*/\1/;
1560 s/:*$//;
1561 s/^[^=]*=[      ]*$//;
1562 }'
1563 fi
1564
1565 # Transform confdefs.h into DEFS.
1566 # Protect against shell expansion while executing Makefile rules.
1567 # Protect against Makefile macro expansion.
1568 #
1569 # If the first sed substitution is executed (which looks for macros that
1570 # take arguments), then we branch to the quote section.  Otherwise,
1571 # look for a macro that doesn't take arguments.
1572 cat >confdef2opt.sed <<\_ACEOF
1573 t clear
1574 : clear
1575 s,^[    ]*#[    ]*define[       ][      ]*\([^  (][^    (]*([^)]*)\)[   ]*\(.*\),-D\1=\2,g
1576 t quote
1577 s,^[    ]*#[    ]*define[       ][      ]*\([^  ][^     ]*\)[   ]*\(.*\),-D\1=\2,g
1578 t quote
1579 d
1580 : quote
1581 s,[     `~#$^&*(){}\\|;'"<>?],\\&,g
1582 s,\[,\\&,g
1583 s,\],\\&,g
1584 s,\$,$$,g
1585 p
1586 _ACEOF
1587 # We use echo to avoid assuming a particular line-breaking character.
1588 # The extra dot is to prevent the shell from consuming trailing
1589 # line-breaks from the sub-command output.  A line-break within
1590 # single-quotes doesn't work because, if this script is created in a
1591 # platform that uses two characters for line-breaks (e.g., DOS), tr
1592 # would break.
1593 ac_LF_and_DOT=`echo; echo .`
1594 DEFS=`sed -n -f confdef2opt.sed confdefs.h | tr "$ac_LF_and_DOT" ' .'`
1595 rm -f confdef2opt.sed
1596
1597
1598 ac_libobjs=
1599 ac_ltlibobjs=
1600 for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
1601   # 1. Remove the extension, and $U if already installed.
1602   ac_i=`echo "$ac_i" |
1603          sed 's/\$U\././;s/\.o$//;s/\.obj$//'`
1604   # 2. Add them.
1605   ac_libobjs="$ac_libobjs $ac_i\$U.$ac_objext"
1606   ac_ltlibobjs="$ac_ltlibobjs $ac_i"'$U.lo'
1607 done
1608 LIBOBJS=$ac_libobjs
1609
1610 LTLIBOBJS=$ac_ltlibobjs
1611
1612
1613
1614 : ${CONFIG_STATUS=./config.status}
1615 ac_clean_files_save=$ac_clean_files
1616 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
1617 { echo "$as_me:$LINENO: creating $CONFIG_STATUS" >&5
1618 echo "$as_me: creating $CONFIG_STATUS" >&6;}
1619 cat >$CONFIG_STATUS <<_ACEOF
1620 #! $SHELL
1621 # Generated by $as_me.
1622 # Run this file to recreate the current configuration.
1623 # Compiler output produced by configure, useful for debugging
1624 # configure, is in config.log if it exists.
1625
1626 debug=false
1627 ac_cs_recheck=false
1628 ac_cs_silent=false
1629 SHELL=\${CONFIG_SHELL-$SHELL}
1630 _ACEOF
1631
1632 cat >>$CONFIG_STATUS <<\_ACEOF
1633 ## --------------------- ##
1634 ## M4sh Initialization.  ##
1635 ## --------------------- ##
1636
1637 # Be Bourne compatible
1638 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
1639   emulate sh
1640   NULLCMD=:
1641   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
1642   # is contrary to our usage.  Disable this feature.
1643   alias -g '${1+"$@"}'='"$@"'
1644 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
1645   set -o posix
1646 fi
1647
1648 # Support unset when possible.
1649 if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
1650   as_unset=unset
1651 else
1652   as_unset=false
1653 fi
1654
1655
1656 # Work around bugs in pre-3.0 UWIN ksh.
1657 $as_unset ENV MAIL MAILPATH
1658 PS1='$ '
1659 PS2='> '
1660 PS4='+ '
1661
1662 # NLS nuisances.
1663 for as_var in \
1664   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
1665   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
1666   LC_TELEPHONE LC_TIME
1667 do
1668   if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`"); then
1669     eval $as_var=C; export $as_var
1670   else
1671     $as_unset $as_var
1672   fi
1673 done
1674
1675 # Required to use basename.
1676 if expr a : '\(a\)' >/dev/null 2>&1; then
1677   as_expr=expr
1678 else
1679   as_expr=false
1680 fi
1681
1682 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
1683   as_basename=basename
1684 else
1685   as_basename=false
1686 fi
1687
1688
1689 # Name of the executable.
1690 as_me=`$as_basename "$0" ||
1691 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
1692          X"$0" : 'X\(//\)$' \| \
1693          X"$0" : 'X\(/\)$' \| \
1694          .     : '\(.\)' 2>/dev/null ||
1695 echo X/"$0" |
1696     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
1697           /^X\/\(\/\/\)$/{ s//\1/; q; }
1698           /^X\/\(\/\).*/{ s//\1/; q; }
1699           s/.*/./; q'`
1700
1701
1702 # PATH needs CR, and LINENO needs CR and PATH.
1703 # Avoid depending upon Character Ranges.
1704 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
1705 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
1706 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
1707 as_cr_digits='0123456789'
1708 as_cr_alnum=$as_cr_Letters$as_cr_digits
1709
1710 # The user is always right.
1711 if test "${PATH_SEPARATOR+set}" != set; then
1712   echo "#! /bin/sh" >conf$$.sh
1713   echo  "exit 0"   >>conf$$.sh
1714   chmod +x conf$$.sh
1715   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
1716     PATH_SEPARATOR=';'
1717   else
1718     PATH_SEPARATOR=:
1719   fi
1720   rm -f conf$$.sh
1721 fi
1722
1723
1724   as_lineno_1=$LINENO
1725   as_lineno_2=$LINENO
1726   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
1727   test "x$as_lineno_1" != "x$as_lineno_2" &&
1728   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
1729   # Find who we are.  Look in the path if we contain no path at all
1730   # relative or not.
1731   case $0 in
1732     *[\\/]* ) as_myself=$0 ;;
1733     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1734 for as_dir in $PATH
1735 do
1736   IFS=$as_save_IFS
1737   test -z "$as_dir" && as_dir=.
1738   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
1739 done
1740
1741        ;;
1742   esac
1743   # We did not find ourselves, most probably we were run as `sh COMMAND'
1744   # in which case we are not to be found in the path.
1745   if test "x$as_myself" = x; then
1746     as_myself=$0
1747   fi
1748   if test ! -f "$as_myself"; then
1749     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
1750 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
1751    { (exit 1); exit 1; }; }
1752   fi
1753   case $CONFIG_SHELL in
1754   '')
1755     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1756 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
1757 do
1758   IFS=$as_save_IFS
1759   test -z "$as_dir" && as_dir=.
1760   for as_base in sh bash ksh sh5; do
1761          case $as_dir in
1762          /*)
1763            if ("$as_dir/$as_base" -c '
1764   as_lineno_1=$LINENO
1765   as_lineno_2=$LINENO
1766   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
1767   test "x$as_lineno_1" != "x$as_lineno_2" &&
1768   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
1769              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
1770              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
1771              CONFIG_SHELL=$as_dir/$as_base
1772              export CONFIG_SHELL
1773              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
1774            fi;;
1775          esac
1776        done
1777 done
1778 ;;
1779   esac
1780
1781   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
1782   # uniformly replaced by the line number.  The first 'sed' inserts a
1783   # line-number line before each line; the second 'sed' does the real
1784   # work.  The second script uses 'N' to pair each line-number line
1785   # with the numbered line, and appends trailing '-' during
1786   # substitution so that $LINENO is not a special case at line end.
1787   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
1788   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
1789   sed '=' <$as_myself |
1790     sed '
1791       N
1792       s,$,-,
1793       : loop
1794       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
1795       t loop
1796       s,-$,,
1797       s,^['$as_cr_digits']*\n,,
1798     ' >$as_me.lineno &&
1799   chmod +x $as_me.lineno ||
1800     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
1801 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
1802    { (exit 1); exit 1; }; }
1803
1804   # Don't try to exec as it changes $[0], causing all sort of problems
1805   # (the dirname of $[0] is not the place where we might find the
1806   # original and so on.  Autoconf is especially sensible to this).
1807   . ./$as_me.lineno
1808   # Exit status is that of the last command.
1809   exit
1810 }
1811
1812
1813 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
1814   *c*,-n*) ECHO_N= ECHO_C='
1815 ' ECHO_T='      ' ;;
1816   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
1817   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
1818 esac
1819
1820 if expr a : '\(a\)' >/dev/null 2>&1; then
1821   as_expr=expr
1822 else
1823   as_expr=false
1824 fi
1825
1826 rm -f conf$$ conf$$.exe conf$$.file
1827 echo >conf$$.file
1828 if ln -s conf$$.file conf$$ 2>/dev/null; then
1829   # We could just check for DJGPP; but this test a) works b) is more generic
1830   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
1831   if test -f conf$$.exe; then
1832     # Don't use ln at all; we don't have any links
1833     as_ln_s='cp -p'
1834   else
1835     as_ln_s='ln -s'
1836   fi
1837 elif ln conf$$.file conf$$ 2>/dev/null; then
1838   as_ln_s=ln
1839 else
1840   as_ln_s='cp -p'
1841 fi
1842 rm -f conf$$ conf$$.exe conf$$.file
1843
1844 if mkdir -p . 2>/dev/null; then
1845   as_mkdir_p=:
1846 else
1847   as_mkdir_p=false
1848 fi
1849
1850 as_executable_p="test -f"
1851
1852 # Sed expression to map a string onto a valid CPP name.
1853 as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
1854
1855 # Sed expression to map a string onto a valid variable name.
1856 as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
1857
1858
1859 # IFS
1860 # We need space, tab and new line, in precisely that order.
1861 as_nl='
1862 '
1863 IFS="   $as_nl"
1864
1865 # CDPATH.
1866 $as_unset CDPATH
1867
1868 exec 6>&1
1869
1870 # Open the log real soon, to keep \$[0] and so on meaningful, and to
1871 # report actual input values of CONFIG_FILES etc. instead of their
1872 # values after options handling.  Logging --version etc. is OK.
1873 exec 5>>config.log
1874 {
1875   echo
1876   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
1877 ## Running $as_me. ##
1878 _ASBOX
1879 } >&5
1880 cat >&5 <<_CSEOF
1881
1882 This file was extended by $as_me, which was
1883 generated by GNU Autoconf 2.57.  Invocation command line was
1884
1885   CONFIG_FILES    = $CONFIG_FILES
1886   CONFIG_HEADERS  = $CONFIG_HEADERS
1887   CONFIG_LINKS    = $CONFIG_LINKS
1888   CONFIG_COMMANDS = $CONFIG_COMMANDS
1889   $ $0 $@
1890
1891 _CSEOF
1892 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
1893 echo >&5
1894 _ACEOF
1895
1896 # Files that config.status was made for.
1897 if test -n "$ac_config_files"; then
1898   echo "config_files=\"$ac_config_files\"" >>$CONFIG_STATUS
1899 fi
1900
1901 if test -n "$ac_config_headers"; then
1902   echo "config_headers=\"$ac_config_headers\"" >>$CONFIG_STATUS
1903 fi
1904
1905 if test -n "$ac_config_links"; then
1906   echo "config_links=\"$ac_config_links\"" >>$CONFIG_STATUS
1907 fi
1908
1909 if test -n "$ac_config_commands"; then
1910   echo "config_commands=\"$ac_config_commands\"" >>$CONFIG_STATUS
1911 fi
1912
1913 cat >>$CONFIG_STATUS <<\_ACEOF
1914
1915 ac_cs_usage="\
1916 \`$as_me' instantiates files from templates according to the
1917 current configuration.
1918
1919 Usage: $0 [OPTIONS] [FILE]...
1920
1921   -h, --help       print this help, then exit
1922   -V, --version    print version number, then exit
1923   -q, --quiet      do not print progress messages
1924   -d, --debug      don't remove temporary files
1925       --recheck    update $as_me by reconfiguring in the same conditions
1926   --file=FILE[:TEMPLATE]
1927                    instantiate the configuration file FILE
1928
1929 Configuration files:
1930 $config_files
1931
1932 Report bugs to <bug-autoconf@gnu.org>."
1933 _ACEOF
1934
1935 cat >>$CONFIG_STATUS <<_ACEOF
1936 ac_cs_version="\\
1937 config.status
1938 configured by $0, generated by GNU Autoconf 2.57,
1939   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
1940
1941 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
1942 Free Software Foundation, Inc.
1943 This config.status script is free software; the Free Software Foundation
1944 gives unlimited permission to copy, distribute and modify it."
1945 srcdir=$srcdir
1946 _ACEOF
1947
1948 cat >>$CONFIG_STATUS <<\_ACEOF
1949 # If no file are specified by the user, then we need to provide default
1950 # value.  By we need to know if files were specified by the user.
1951 ac_need_defaults=:
1952 while test $# != 0
1953 do
1954   case $1 in
1955   --*=*)
1956     ac_option=`expr "x$1" : 'x\([^=]*\)='`
1957     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
1958     ac_shift=:
1959     ;;
1960   -*)
1961     ac_option=$1
1962     ac_optarg=$2
1963     ac_shift=shift
1964     ;;
1965   *) # This is not an option, so the user has probably given explicit
1966      # arguments.
1967      ac_option=$1
1968      ac_need_defaults=false;;
1969   esac
1970
1971   case $ac_option in
1972   # Handling of the options.
1973 _ACEOF
1974 cat >>$CONFIG_STATUS <<\_ACEOF
1975   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1976     ac_cs_recheck=: ;;
1977   --version | --vers* | -V )
1978     echo "$ac_cs_version"; exit 0 ;;
1979   --he | --h)
1980     # Conflict between --help and --header
1981     { { echo "$as_me:$LINENO: error: ambiguous option: $1
1982 Try \`$0 --help' for more information." >&5
1983 echo "$as_me: error: ambiguous option: $1
1984 Try \`$0 --help' for more information." >&2;}
1985    { (exit 1); exit 1; }; };;
1986   --help | --hel | -h )
1987     echo "$ac_cs_usage"; exit 0 ;;
1988   --debug | --d* | -d )
1989     debug=: ;;
1990   --file | --fil | --fi | --f )
1991     $ac_shift
1992     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
1993     ac_need_defaults=false;;
1994   --header | --heade | --head | --hea )
1995     $ac_shift
1996     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
1997     ac_need_defaults=false;;
1998   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
1999   | -silent | --silent | --silen | --sile | --sil | --si | --s)
2000     ac_cs_silent=: ;;
2001
2002   # This is an error.
2003   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
2004 Try \`$0 --help' for more information." >&5
2005 echo "$as_me: error: unrecognized option: $1
2006 Try \`$0 --help' for more information." >&2;}
2007    { (exit 1); exit 1; }; } ;;
2008
2009   *) ac_config_targets="$ac_config_targets $1" ;;
2010
2011   esac
2012   shift
2013 done
2014
2015 ac_configure_extra_args=
2016
2017 if $ac_cs_silent; then
2018   exec 6>/dev/null
2019   ac_configure_extra_args="$ac_configure_extra_args --silent"
2020 fi
2021
2022 _ACEOF
2023 cat >>$CONFIG_STATUS <<_ACEOF
2024 if \$ac_cs_recheck; then
2025   echo "running $SHELL $0 " $ac_configure_args \$ac_configure_extra_args " --no-create --no-recursion" >&6
2026   exec $SHELL $0 $ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
2027 fi
2028
2029 _ACEOF
2030
2031
2032
2033
2034
2035 cat >>$CONFIG_STATUS <<\_ACEOF
2036 for ac_config_target in $ac_config_targets
2037 do
2038   case "$ac_config_target" in
2039   # Handling of arguments.
2040   "Makefile.common" ) CONFIG_FILES="$CONFIG_FILES Makefile.common" ;;
2041   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
2042 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
2043    { (exit 1); exit 1; }; };;
2044   esac
2045 done
2046
2047 # If the user did not use the arguments to specify the items to instantiate,
2048 # then the envvar interface is used.  Set only those that are not.
2049 # We use the long form for the default assignment because of an extremely
2050 # bizarre bug on SunOS 4.1.3.
2051 if $ac_need_defaults; then
2052   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
2053 fi
2054
2055 # Have a temporary directory for convenience.  Make it in the build tree
2056 # simply because there is no reason to put it here, and in addition,
2057 # creating and moving files from /tmp can sometimes cause problems.
2058 # Create a temporary directory, and hook for its removal unless debugging.
2059 $debug ||
2060 {
2061   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
2062   trap '{ (exit 1); exit 1; }' 1 2 13 15
2063 }
2064
2065 # Create a (secure) tmp directory for tmp files.
2066
2067 {
2068   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
2069   test -n "$tmp" && test -d "$tmp"
2070 }  ||
2071 {
2072   tmp=./confstat$$-$RANDOM
2073   (umask 077 && mkdir $tmp)
2074 } ||
2075 {
2076    echo "$me: cannot create a temporary directory in ." >&2
2077    { (exit 1); exit 1; }
2078 }
2079
2080 _ACEOF
2081
2082 cat >>$CONFIG_STATUS <<_ACEOF
2083
2084 #
2085 # CONFIG_FILES section.
2086 #
2087
2088 # No need to generate the scripts if there are no CONFIG_FILES.
2089 # This happens for instance when ./config.status config.h
2090 if test -n "\$CONFIG_FILES"; then
2091   # Protect against being on the right side of a sed subst in config.status.
2092   sed 's/,@/@@/; s/@,/@@/; s/,;t t\$/@;t t/; /@;t t\$/s/[\\\\&,]/\\\\&/g;
2093    s/@@/,@/; s/@@/@,/; s/@;t t\$/,;t t/' >\$tmp/subs.sed <<\\CEOF
2094 s,@SHELL@,$SHELL,;t t
2095 s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t t
2096 s,@PACKAGE_NAME@,$PACKAGE_NAME,;t t
2097 s,@PACKAGE_TARNAME@,$PACKAGE_TARNAME,;t t
2098 s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t t
2099 s,@PACKAGE_STRING@,$PACKAGE_STRING,;t t
2100 s,@PACKAGE_BUGREPORT@,$PACKAGE_BUGREPORT,;t t
2101 s,@exec_prefix@,$exec_prefix,;t t
2102 s,@prefix@,$prefix,;t t
2103 s,@program_transform_name@,$program_transform_name,;t t
2104 s,@bindir@,$bindir,;t t
2105 s,@sbindir@,$sbindir,;t t
2106 s,@libexecdir@,$libexecdir,;t t
2107 s,@datadir@,$datadir,;t t
2108 s,@sysconfdir@,$sysconfdir,;t t
2109 s,@sharedstatedir@,$sharedstatedir,;t t
2110 s,@localstatedir@,$localstatedir,;t t
2111 s,@libdir@,$libdir,;t t
2112 s,@includedir@,$includedir,;t t
2113 s,@oldincludedir@,$oldincludedir,;t t
2114 s,@infodir@,$infodir,;t t
2115 s,@mandir@,$mandir,;t t
2116 s,@build_alias@,$build_alias,;t t
2117 s,@host_alias@,$host_alias,;t t
2118 s,@target_alias@,$target_alias,;t t
2119 s,@DEFS@,$DEFS,;t t
2120 s,@ECHO_C@,$ECHO_C,;t t
2121 s,@ECHO_N@,$ECHO_N,;t t
2122 s,@ECHO_T@,$ECHO_T,;t t
2123 s,@LIBS@,$LIBS,;t t
2124 s,@GPASM@,$GPASM,;t t
2125 s,@GPLINK@,$GPLINK,;t t
2126 s,@GPLIB@,$GPLIB,;t t
2127 s,@RM@,$RM,;t t
2128 s,@CP@,$CP,;t t
2129 s,@MV@,$MV,;t t
2130 s,@LS@,$LS,;t t
2131 s,@SED@,$SED,;t t
2132 s,@LIBOBJS@,$LIBOBJS,;t t
2133 s,@LTLIBOBJS@,$LTLIBOBJS,;t t
2134 CEOF
2135
2136 _ACEOF
2137
2138   cat >>$CONFIG_STATUS <<\_ACEOF
2139   # Split the substitutions into bite-sized pieces for seds with
2140   # small command number limits, like on Digital OSF/1 and HP-UX.
2141   ac_max_sed_lines=48
2142   ac_sed_frag=1 # Number of current file.
2143   ac_beg=1 # First line for current file.
2144   ac_end=$ac_max_sed_lines # Line after last line for current file.
2145   ac_more_lines=:
2146   ac_sed_cmds=
2147   while $ac_more_lines; do
2148     if test $ac_beg -gt 1; then
2149       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
2150     else
2151       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
2152     fi
2153     if test ! -s $tmp/subs.frag; then
2154       ac_more_lines=false
2155     else
2156       # The purpose of the label and of the branching condition is to
2157       # speed up the sed processing (if there are no `@' at all, there
2158       # is no need to browse any of the substitutions).
2159       # These are the two extra sed commands mentioned above.
2160       (echo ':t
2161   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
2162       if test -z "$ac_sed_cmds"; then
2163         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
2164       else
2165         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
2166       fi
2167       ac_sed_frag=`expr $ac_sed_frag + 1`
2168       ac_beg=$ac_end
2169       ac_end=`expr $ac_end + $ac_max_sed_lines`
2170     fi
2171   done
2172   if test -z "$ac_sed_cmds"; then
2173     ac_sed_cmds=cat
2174   fi
2175 fi # test -n "$CONFIG_FILES"
2176
2177 _ACEOF
2178 cat >>$CONFIG_STATUS <<\_ACEOF
2179 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
2180   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
2181   case $ac_file in
2182   - | *:- | *:-:* ) # input from stdin
2183         cat >$tmp/stdin
2184         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
2185         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
2186   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
2187         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
2188   * )   ac_file_in=$ac_file.in ;;
2189   esac
2190
2191   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
2192   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
2193 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2194          X"$ac_file" : 'X\(//\)[^/]' \| \
2195          X"$ac_file" : 'X\(//\)$' \| \
2196          X"$ac_file" : 'X\(/\)' \| \
2197          .     : '\(.\)' 2>/dev/null ||
2198 echo X"$ac_file" |
2199     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
2200           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
2201           /^X\(\/\/\)$/{ s//\1/; q; }
2202           /^X\(\/\).*/{ s//\1/; q; }
2203           s/.*/./; q'`
2204   { if $as_mkdir_p; then
2205     mkdir -p "$ac_dir"
2206   else
2207     as_dir="$ac_dir"
2208     as_dirs=
2209     while test ! -d "$as_dir"; do
2210       as_dirs="$as_dir $as_dirs"
2211       as_dir=`(dirname "$as_dir") 2>/dev/null ||
2212 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2213          X"$as_dir" : 'X\(//\)[^/]' \| \
2214          X"$as_dir" : 'X\(//\)$' \| \
2215          X"$as_dir" : 'X\(/\)' \| \
2216          .     : '\(.\)' 2>/dev/null ||
2217 echo X"$as_dir" |
2218     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
2219           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
2220           /^X\(\/\/\)$/{ s//\1/; q; }
2221           /^X\(\/\).*/{ s//\1/; q; }
2222           s/.*/./; q'`
2223     done
2224     test ! -n "$as_dirs" || mkdir $as_dirs
2225   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
2226 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
2227    { (exit 1); exit 1; }; }; }
2228
2229   ac_builddir=.
2230
2231 if test "$ac_dir" != .; then
2232   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
2233   # A "../" for each directory in $ac_dir_suffix.
2234   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
2235 else
2236   ac_dir_suffix= ac_top_builddir=
2237 fi
2238
2239 case $srcdir in
2240   .)  # No --srcdir option.  We are building in place.
2241     ac_srcdir=.
2242     if test -z "$ac_top_builddir"; then
2243        ac_top_srcdir=.
2244     else
2245        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
2246     fi ;;
2247   [\\/]* | ?:[\\/]* )  # Absolute path.
2248     ac_srcdir=$srcdir$ac_dir_suffix;
2249     ac_top_srcdir=$srcdir ;;
2250   *) # Relative path.
2251     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
2252     ac_top_srcdir=$ac_top_builddir$srcdir ;;
2253 esac
2254 # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
2255 # absolute.
2256 ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
2257 ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
2258 ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
2259 ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
2260
2261
2262
2263   if test x"$ac_file" != x-; then
2264     { echo "$as_me:$LINENO: creating $ac_file" >&5
2265 echo "$as_me: creating $ac_file" >&6;}
2266     rm -f "$ac_file"
2267   fi
2268   # Let's still pretend it is `configure' which instantiates (i.e., don't
2269   # use $as_me), people would be surprised to read:
2270   #    /* config.h.  Generated by config.status.  */
2271   if test x"$ac_file" = x-; then
2272     configure_input=
2273   else
2274     configure_input="$ac_file.  "
2275   fi
2276   configure_input=$configure_input"Generated from `echo $ac_file_in |
2277                                      sed 's,.*/,,'` by configure."
2278
2279   # First look for the input files in the build tree, otherwise in the
2280   # src tree.
2281   ac_file_inputs=`IFS=:
2282     for f in $ac_file_in; do
2283       case $f in
2284       -) echo $tmp/stdin ;;
2285       [\\/$]*)
2286          # Absolute (can't be DOS-style, as IFS=:)
2287          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
2288 echo "$as_me: error: cannot find input file: $f" >&2;}
2289    { (exit 1); exit 1; }; }
2290          echo $f;;
2291       *) # Relative
2292          if test -f "$f"; then
2293            # Build tree
2294            echo $f
2295          elif test -f "$srcdir/$f"; then
2296            # Source tree
2297            echo $srcdir/$f
2298          else
2299            # /dev/null tree
2300            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
2301 echo "$as_me: error: cannot find input file: $f" >&2;}
2302    { (exit 1); exit 1; }; }
2303          fi;;
2304       esac
2305     done` || { (exit 1); exit 1; }
2306 _ACEOF
2307 cat >>$CONFIG_STATUS <<_ACEOF
2308   sed "$ac_vpsub
2309 $extrasub
2310 _ACEOF
2311 cat >>$CONFIG_STATUS <<\_ACEOF
2312 :t
2313 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
2314 s,@configure_input@,$configure_input,;t t
2315 s,@srcdir@,$ac_srcdir,;t t
2316 s,@abs_srcdir@,$ac_abs_srcdir,;t t
2317 s,@top_srcdir@,$ac_top_srcdir,;t t
2318 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
2319 s,@builddir@,$ac_builddir,;t t
2320 s,@abs_builddir@,$ac_abs_builddir,;t t
2321 s,@top_builddir@,$ac_top_builddir,;t t
2322 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
2323 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
2324   rm -f $tmp/stdin
2325   if test x"$ac_file" != x-; then
2326     mv $tmp/out $ac_file
2327   else
2328     cat $tmp/out
2329     rm -f $tmp/out
2330   fi
2331
2332 done
2333 _ACEOF
2334
2335 cat >>$CONFIG_STATUS <<\_ACEOF
2336
2337 { (exit 0); exit 0; }
2338 _ACEOF
2339 chmod +x $CONFIG_STATUS
2340 ac_clean_files=$ac_clean_files_save
2341
2342
2343 # configure is writing to config.log, and then calls config.status.
2344 # config.status does its own redirection, appending to config.log.
2345 # Unfortunately, on DOS this fails, as config.log is still kept open
2346 # by configure, so config.status won't be able to write to it; its
2347 # output is simply discarded.  So we exec the FD to /dev/null,
2348 # effectively closing config.log, so it can be properly (re)opened and
2349 # appended to by config.status.  When coming back to configure, we
2350 # need to make the FD available again.
2351 if test "$no_create" != yes; then
2352   ac_cs_success=:
2353   ac_config_status_args=
2354   test "$silent" = yes &&
2355     ac_config_status_args="$ac_config_status_args --quiet"
2356   exec 5>/dev/null
2357   $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
2358   exec 5>>config.log
2359   # Use ||, not &&, to avoid exiting from the if with $? = 1, which
2360   # would make configure fail if this is the last instruction.
2361   $ac_cs_success || { (exit 1); exit 1; }
2362 fi
2363